perl-Dist-Zilla-Plugin-EnsureDepakable-0.004-alt1.noarch.rpm


Advertisement

Description

perl-Dist-Zilla-Plugin-EnsureDepakable - Make sure that distribution is "depakable"

Property Value
Distribution ALT Linux Sisyphus
Repository Autoimports noarch
Package filename perl-Dist-Zilla-Plugin-EnsureDepakable-0.004-alt1.noarch.rpm
Package name perl-Dist-Zilla-Plugin-EnsureDepakable
Package version 0.004
Package release alt1
Package architecture noarch
Package type rpm
Category Development/Perl
Homepage -
License -
Maintainer -
Download size 22.85 KB
Installed size 22.85 KB
This plugin helps make sure that you do not add a (direct, or indirect)
dependency to a non-core XS module, so that all your distribution's modules can
be use-d by a script that wants to be packed so it can be run with only
requiring core perl modules.
See the Module::Depakable manpage for more details on the meaning of "depakable".
=for Pod::Coverage .+

Alternatives

Package Version Architecture Repository
perl-Dist-Zilla-Plugin-EnsureDepakable - - -

Requires

Name Value
/usr/share/perl5 -
perl(Dist/Zilla/Role/AfterBuild.pm) -
perl(Module/Depakable.pm) >= 0.003
perl(Moose.pm) -
perl(namespace/autoclean.pm) -
perl-base >= 1:5.10.1
rpmlib(PayloadIsLzma) -

Provides

Name Value
perl(Dist/Zilla/Plugin/EnsureDepakable.pm) = 0.004
perl-Dist-Zilla-Plugin-EnsureDepakable = 0.004-alt1

Download

Type URL
Mirror ftp.altlinux.org
Binary Package perl-Dist-Zilla-Plugin-EnsureDepakable-0.004-alt1.noarch.rpm
Source Package perl-Dist-Zilla-Plugin-EnsureDepakable-0.004-alt1.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/autoimports/Sisyphus noarch autoimports
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/autoimports/Sisyphus noarch autoimports
    
  2. Update the package index:
    # sudo apt-get update
  3. Install perl-Dist-Zilla-Plugin-EnsureDepakable rpm package:
    # sudo apt-get install perl-Dist-Zilla-Plugin-EnsureDepakable

Files

Path
/usr/share/doc/perl-Dist-Zilla-Plugin-EnsureDepakable-0.004/Changes
/usr/share/doc/perl-Dist-Zilla-Plugin-EnsureDepakable-0.004/LICENSE
/usr/share/doc/perl-Dist-Zilla-Plugin-EnsureDepakable-0.004/README
/usr/share/perl5/Dist/
/usr/share/perl5/Dist/Zilla/
/usr/share/perl5/Dist/Zilla/Plugin/EnsureDepakable.pm

See Also

Package Description
perl-Dist-Zilla-Plugin-EnsureLatestPerl-0.008-alt1.noarch.rpm Ensure the author is releasing using the latest Perl
perl-Dist-Zilla-Plugin-EnsurePrereqsInstalled-0.009-alt1.noarch.rpm Ensure at build time that all prereqs, including developer, are satisfied
perl-Dist-Zilla-Plugin-EnsureSQLSchemaVersionedTest-0.03-alt1.noarch.rpm Make sure that xt/author/sql_schema_versioned.t is present
perl-Dist-Zilla-Plugin-Extras-0.03-alt1.noarch.rpm Put and ignore extra parameters in dist.ini
perl-Dist-Zilla-Plugin-FFI-1.04-alt1.noarch.rpm FFI related Dist::Zilla plugins
perl-Dist-Zilla-Plugin-FFI-CheckLib-1.01-alt1.noarch.rpm FFI::CheckLib alternative to Dist::Zilla::Plugin::CheckLib
perl-Dist-Zilla-Plugin-FakeFaker-0.04-alt1.noarch.rpm Because sometimes you just have to fake it
perl-Dist-Zilla-Plugin-FatPacker-1.161631-alt1.noarch.rpm Pack your dependencies onto your script file
perl-Dist-Zilla-Plugin-FileKeywords-0.02-alt3_9.noarch.rpm Standard Keywords plugin
perl-Dist-Zilla-Plugin-FindDirByRegex-1.102640-alt3_9.noarch.rpm A regex-based FileFinder plugin
perl-Dist-Zilla-Plugin-For-App-shcompgen-0.04-alt1.noarch.rpm Plugin for building App-shcompgen distribution
perl-Dist-Zilla-Plugin-For-Data-Sah-0.004-alt1.noarch.rpm Plugin for building Data-Sah distribution
perl-Dist-Zilla-Plugin-For-DefHash-Examples-0.001-alt1.noarch.rpm Plugin for building DefHash-Examples distribution
perl-Dist-Zilla-Plugin-FullFaker-1.002-alt1.noarch.rpm using existing Makefile.PL from other gatherer
perl-Dist-Zilla-Plugin-GatherFromManifest-1.004-alt1_3.noarch.rpm Gather all files from MANIFEST
Advertisement
Advertisement